API reference
List order draft shipping options
GET
/v1/order-drafts/{draftId}/shipping-optionsAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
draftId*string
Query Parameters
sellerId?null|string
shippingProfileId?null|string
scheduledDate?string
Format
datescheduledTime?string
Format
timeResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/order-drafts/string/shipping-options"[ { "shippingMethodId": "string", "name": "string", "displayName": "string", "type": "regular", "price": 0.1, "currency": "string", "sortOrder": 0, "rateId": null, "description": null, "deliveryLocationId": null, "deliveryLocationName": null, "deliveryLeadTimeInMinutes": null, "deliveryMinHours": null, "deliveryMaxHours": null, "deliveryInstructions": null, "deliveryPostalCodes": [ "string" ], "deliveryZoneName": null, "deliveryZonePostalCodes": [ "string" ], "deliveryZoneRadiusKm": null, "estimatedDeliveryDays": null, "estimatedDeliveryHours": null, "estimatedDeliveryFromDate": null, "estimatedDeliveryToDate": null, "isLiveQuote": true, "serviceCode": null, "serviceName": null, "metadata": {} }]